package sgc.portal.com.com.persistence;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.Menu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**********************************************************
 * 시스템명  	: 시스템관리(COM)
 * 프로그램ID 	: ComMenuMngMapper
 * 프로그램명   	: 메뉴 관리 Mapper
 * @author	: SBK
 * @version	: 2023-07-25
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@Mapper
public interface  ComMenuMngMapper {

    List<EasyHashMap<String, Object>> selectComMenuMngList(Menu mn);

    List<EasyHashMap<String, Object>> selectComMenuMng(Menu mn);

    void saveComMenuMngInsert(Menu mn);

    void saveComMenuMngUpdate(Menu mn);

    int beforeDeleteComMenuMng(Menu mn);

    void deleteComMenuMng(Menu mn);
}

